import { AnnotationLayer } from "./AnnotationLayer";
import { Axis } from "./Axis";
import { CategoryTooltipLayerPosition } from "./CategoryTooltipLayerPosition";
import { Type, Point } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Series } from "./Series";
import { Frame } from "./Frame";
import { DataContext } from "igniteui-react-core";
import { Size } from "igniteui-react-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class CategoryToolTipLayer extends AnnotationLayer {
    static $t: Type;
    protected get_d5(): boolean;
    constructor();
    protected cg(): SeriesView;
    o0(a: SeriesView): void;
    protected w2: CategoryToolTipLayerView;
    protected get_eg(): boolean;
    w0: Axis;
    w4: boolean;
    w1: CategoryTooltipLayerPosition;
    protected o8(a: any, b: string, c: any, d: any): void;
    protected vr(a: Axis, b: boolean): void;
    protected vs(a: Series, b: boolean): void;
    protected vu(a: Frame, b: SeriesView): void;
    private w3;
    n8(): void;
    private w9;
    private w5;
    protected vx(a: Frame, b: SeriesView): void;
    protected fm(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CategoryToolTipLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CategoryToolTipLayer);
    protected b7: CategoryToolTipLayer;
    private b8;
    private _tooltips;
    private cb;
    private b9;
    cd(): any;
    au(): void;
    ak(): void;
    private _htmlTest;
    protected get htmlTest(): any;
    protected set htmlTest(a: any);
    ca(a: Series, b: any, c: DataContext): boolean;
    ck(a: any): Size;
    cj(a: Point): Point;
    ch(a: any, b: number, c: number, d: number, e: number): void;
    cl(): Size;
    cg(a: any): void;
    cf(): void;
    ci(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
